/* change color navbar  */
.navbar-style {
    background-color: var(--color-one) !important;
    color: var(--color-two) !important;
    height: 5em;
    padding: 0 1em;
}


.navbar-options {
    
    display: none;
}

.navbar-options__user {
    display: flex;
    align-items: center;
    justify-content: space-around;  
    border-radius: 50px;
    padding-right: .7em;
    background-color: rgba(255, 255, 255, 0.2);
    backdrop-filter: blur(3px);
}

.navbar-options__user-avatar {
    width: 1.5em;
    height: 1.5em;
    border-radius: 50%;
    color: var(--color-two);
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.7rem;
    margin-right: .25em;
    
}

.navbar-options__user-name {
    font-size: 1.2rem;
}

.navbar-options__user, .navbar-options__logout {
    margin: 0 .5em;
}

.nav-responsive {
    width: 70%;
    height: 100vh;
    position: absolute !important;
    top: 0;
    z-index: 1 !important;
    padding: 1.5em 2em;
    padding-top: 2.5em;
    transition: right .5s ease;
}

.nav-responsive__hidden {
    right: -200%;
}

.nav-responsive__initial {
    right: 0;
}


.nav-reponsive__close {
    position: relative;
    top: 0;
    right: 0;
    z-index:1;
}

.nav-responsive__close-button {
    position: absolute;
    top: -.8em;
    right: 0;
    color: var(--color-three);
    font-size: 2rem;
    cursor: pointer;
    transition: color 0.3s ease;
}

.nav-responsive__close-button:hover {
    color: var(--color-one);
}

.nav-responsive__options {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    width: 100%;
}

.nav-responsive__options-item {
    color: var(--color-one);
    font-weight: 500;
    margin: .25em 0;
    font-size: 1.5rem !important;
    cursor: pointer;

}

.nav-responsive__button-open {
    margin: auto 0 !important;
}

@media (min-width: 576px) {
    .nav-responsive {
        display: none;
    }
    .navbar-options {
        display: flex;
    align-items: center;
    justify-content: space-between;
    }
    .nav-responsive__button-open {
        display: none !important;
    }
}

